make_trans_font(3)

NAME
make_trans_font - Makes a font use transparency. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void make_trans_font(FONT *f);

DESCRIPTION
This function converts a font to use transparency for drawing. That is, each glyph in the font will be drawn with draw_trans_sprite, so you can use the same blenders as with draw_trans_sprite to draw the font. One common use of this is to load a bitmap font with an alpha channel, and therefore get anti-aliased text output by using Allegro's alpha blender. Here's an example how to do that:
   FONT *f = load_font("alphafont.tga", NULL, NULL);
   make_trans_font(f);
   set_alpha_blender();
   textprintf_centre_ex(screen, f, 320, 240, -1, -1, "Anti-aliased Font!");

SEE ALSO
is_trans_font(3), set_alpha_blender(3), load_font(3), draw_trans_sprite(3)